Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.TableGeneratorCallback Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | GetNewPageBasicInfo (page_index, rest_table_height, table_width)
| A callback function to get new page basic information to be generated to a new page. More...
def | GetTableTopMarginToPage (page_index)
| A callback function to get the top margin of the table to be generated to a new page. More...
def | Release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object for generating table. All the pure virtual functions in this class are used as callback functions and should be implemented by user.

## Member Function Documentation

## ◆ GetNewPageBasicInfo()

def FoxitPDFSDKPython2.TableGeneratorCallback.GetNewPageBasicInfo | ( |  | page_index,
|  |  | rest_table_height,
|  |  | table_width
| ) |  |

A callback function to get new page basic information to be generated to a new page.

This callback function is only used for FoxitPDFSDKPython2.TableGenerator.InsertTablePagesToDocument . It will be triggered if the page width or page height is less than or equal to zero. Users must ensure that the text size is greater than zero in FoxitPDFSDKPython2.RichTextStyle if the content of cell is text.

Parameters

  [in] | page_index | The page index. It would start from 0.
  [in] | rest_table_height | The rest table height(unit is 1/72 inch).
  [in] | table_width | The table width(unit is 1/72 inch).

Returns
  The basic page information.(The rotation is not supported currently).

## ◆ GetTableTopMarginToPage()

def FoxitPDFSDKPython2.TableGeneratorCallback.GetTableTopMarginToPage | ( |  | page_index | ) |

A callback function to get the top margin of the table to be generated to a new page.

Parameters

  [in] | page_index | The page index. It would start from 0.

Returns
  The table top margin to page.

## ◆ Release()

def FoxitPDFSDKPython2.TableGeneratorCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.